package com.storlead.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.user.pojo.entity.SubCompanyEntity;

import java.util.List;
import java.util.Map;

public interface ISubCompanyService extends IService<SubCompanyEntity> {

    List<SubCompanyEntity> getSubCompanyList(String keyword);

    void truncateTable();

    Map<Long, SubCompanyEntity> getSubCompanyMap(List<Long> subCompanyIdList);

    List<SubCompanyEntity> getHasSublist(Long id);
}
